CGAL 6.0.2 - 2D and 3D Linear Geometry Kernel

Loading...
Searching...
No Matches
List of all members
Kernel::CompareXAtY_2 Concept Reference
2D and 3D Linear Geometry Kernel Reference » Concepts » Kernel Function Object Concepts

## Definition

Refines
  `AdaptableTernaryFunction`

See also
  `CGAL::compare_x_at_y()`

## Operations
A model of this concept must provide:
Comparison_result | operator() (const Kernel::Point_2 &p, const Kernel::Line_2 &h)
| compares the \( x\)-coordinates of `p` and the horizontal projection of `p` on `h`.
Comparison_result | operator() (const Kernel::Point_2 &p, const Kernel::Line_2 &h1, const Kernel::Line_2 &h2)
| compares the \( x\)-coordinates of the horizontal projection of `p` on `h1` and on `h2`.
Comparison_result | operator() (const Kernel::Line_2 &l1, const Kernel::Line_2 &l2, const Kernel::Line_2 &h)
| Let `p` be the intersection of lines `l1` and `l2`.
Comparison_result | operator() (const Kernel::Line_2 &l1, const Kernel::Line_2 &l2, const Kernel::Line_2 &h1, const Kernel::Line_2 &h2)
| Let `p` be the intersection of lines `l1` and `l2`.

## Member Function Documentation

## ◆ operator()() [1/4]

Comparison_result Kernel::CompareXAtY_2::operator() | ( | const Kernel::Line_2 & | l1,
|  | const Kernel::Line_2 & | l2,
|  | const Kernel::Line_2 & | h
| ) |  |

Let `p` be the intersection of lines `l1` and `l2`.

This function compares the \( x\)-coordinates of `p` and the horizontal projection of `p` on `h`.

See Figure fig-compare_x_at_y_2 (c).

## ◆ operator()() [2/4]

Comparison_result Kernel::CompareXAtY_2::operator() | ( | const Kernel::Line_2 & | l1,
|  | const Kernel::Line_2 & | l2,
|  | const Kernel::Line_2 & | h1,
|  | const Kernel::Line_2 & | h2
| ) |  |

Let `p` be the intersection of lines `l1` and `l2`.

This function compares the \( x\)-coordinates of the horizontal projection of `p` on `h1` and on `h2`.

See Figure fig-compare_x_at_y_2 (d)).

## ◆ operator()() [3/4]

Comparison_result Kernel::CompareXAtY_2::operator() | ( | const Kernel::Point_2 & | p,
|  | const Kernel::Line_2 & | h
| ) |  |

compares the \( x\)-coordinates of `p` and the horizontal projection of `p` on `h`.

See Figure fig-compare_x_at_y_2 (a).

## ◆ operator()() [4/4]

Comparison_result Kernel::CompareXAtY_2::operator() | ( | const Kernel::Point_2 & | p,
|  | const Kernel::Line_2 & | h1,
|  | const Kernel::Line_2 & | h2
| ) |  |

compares the \( x\)-coordinates of the horizontal projection of `p` on `h1` and on `h2`.

See Figure fig-compare_x_at_y_2 (b).